--- //depot/vendor/freebsd/src/sys/dev/nve/if_nve.c	2005/08/03 00:20:47
+++ //depot/projects/netsmp/src/sys/dev/nve/if_nve.c	2005/08/05 14:11:40
@@ -621,7 +621,7 @@
 	ifp = sc->ifp;
 
 	/* Do nothing if already running */
-	if (ifp->if_flags & IFF_RUNNING)
+	if (ifp->if_drv_flags & IFF_DRV_RUNNING)
 		goto fail;
 
 	nve_stop(sc);
@@ -650,8 +650,8 @@
 	nve_ifmedia_upd(ifp);
 
 	/* Update interface parameters */
-	ifp->if_flags |= IFF_RUNNING;
-	ifp->if_flags &= ~IFF_OACTIVE;
+	ifp->if_drv_flags |= IFF_DRV_RUNNING;
+	ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 
 	sc->stat_ch = timeout(nve_tick, sc, hz);
 
@@ -692,7 +692,7 @@
 	sc->cur_rx = 0;
 	sc->pending_rxs = 0;
 
-	ifp->if_flags &= ~(IFF_RUNNING | IFF_OACTIVE);
+	ifp->if_drv_flags &= ~(IFF_DRV_RUNNING | IFF_DRV_OACTIVE);
 
 	DEBUGOUT(NVE_DEBUG_RUNNING, "nve: nve_stop - exit\n");
 
@@ -840,7 +840,7 @@
 	DEBUGOUT(NVE_DEBUG_RUNNING, "nve: nve_ifstart - entry\n");
 
 	/* If link is down/busy or queue is empty do nothing */
-	if (ifp->if_flags & IFF_OACTIVE || ifp->if_snd.ifq_head == NULL)
+	if (ifp->if_drv_flags & IFF_DRV_OACTIVE || ifp->if_snd.ifq_head == NULL)
 		return;
 
 	/* Transmit queued packets until sent or TX ring is full */
@@ -915,7 +915,7 @@
 			/* The API TX queue is full - requeue the packet */
 			device_printf(sc->dev,
 			    "nve_ifstart: transmit queue is full\n");
-			ifp->if_flags |= IFF_OACTIVE;
+			ifp->if_drv_flags |= IFF_DRV_OACTIVE;
 			bus_dmamap_unload(sc->mtag, buf->map);
 			IF_PREPEND(&ifp->if_snd, buf->mbuf);
 			buf->mbuf = NULL;
@@ -936,7 +936,7 @@
 		/* Copy packet to BPF tap */
 		BPF_MTAP(ifp, m0);
 	}
-	ifp->if_flags |= IFF_OACTIVE;
+	ifp->if_drv_flags |= IFF_DRV_OACTIVE;
 
 	DEBUGOUT(NVE_DEBUG_RUNNING, "nve: nve_ifstart - exit\n");
 }
@@ -970,12 +970,12 @@
 	case SIOCSIFFLAGS:
 		/* Setup interface flags */
 		if (ifp->if_flags & IFF_UP) {
-			if ((ifp->if_flags & IFF_RUNNING) == 0) {
+			if ((ifp->if_drv_flags & IFF_DRV_RUNNING) == 0) {
 				nve_init(sc);
 				break;
 			}
 		} else {
-			if (ifp->if_flags & IFF_RUNNING) {
+			if (ifp->if_drv_flags & IFF_DRV_RUNNING) {
 				nve_stop(sc);
 				break;
 			}
@@ -987,7 +987,7 @@
 	case SIOCADDMULTI:
 	case SIOCDELMULTI:
 		/* Setup multicast filter */
-		if (ifp->if_flags & IFF_RUNNING) {
+		if (ifp->if_drv_flags & IFF_DRV_RUNNING) {
 			nve_setmulti(sc);
 		}
 		break;
@@ -1249,7 +1249,7 @@
 	sc->tx_errors++;
 
 	nve_stop(sc);
-	ifp->if_flags &= ~IFF_RUNNING;
+	ifp->if_drv_flags &= ~IFF_DRV_RUNNING;
 	nve_init(sc);
 
 	if (ifp->if_snd.ifq_head != NULL)
@@ -1490,7 +1490,7 @@
 
 	/* Send more packets if we have them */
 	if (sc->pending_txs < TX_RING_SIZE)
-		sc->ifp->if_flags &= ~IFF_OACTIVE;
+		sc->ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 
 	if (ifp->if_snd.ifq_head != NULL && sc->pending_txs < TX_RING_SIZE)
 		nve_ifstart(ifp);
--- //depot/vendor/freebsd/src/sys/dev/owi/if_owi.c	2005/08/03 00:20:47
+++ //depot/projects/netsmp/src/sys/dev/owi/if_owi.c	2005/08/05 14:11:40
@@ -669,7 +669,7 @@
 	ifp = sc->ifp;
 
 	ifp->if_timer = 0;
-	ifp->if_flags &= ~IFF_OACTIVE;
+	ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 
 	if (status & WI_EV_TX_EXC)
 		ifp->if_oerrors++;
@@ -693,7 +693,7 @@
 	sc->wi_stat_ch = timeout(wi_inquire, sc, hz * 60);
 
 	/* Don't do this while we're transmitting */
-	if (ifp->if_flags & IFF_OACTIVE)
+	if (ifp->if_drv_flags & IFF_DRV_OACTIVE)
 		return;
 
 	WI_LOCK(sc, s);
@@ -1358,7 +1358,7 @@
 		 * wi_init() by just setting PROMISC in the hardware.
 		 */
 		if (ifp->if_flags & IFF_UP) {
-			if (ifp->if_flags & IFF_RUNNING) {
+			if (ifp->if_drv_flags & IFF_DRV_RUNNING) {
 				if (ifp->if_flags & IFF_PROMISC &&
 				    !(sc->wi_if_flags & IFF_PROMISC)) {
 					WI_SETVAL(WI_RID_PROMISC, 1);
@@ -1372,7 +1372,7 @@
 				wi_init(sc);
 			}
 		} else {
-			if (ifp->if_flags & IFF_RUNNING) {
+			if (ifp->if_drv_flags & IFF_DRV_RUNNING) {
 				owi_stop(sc);
 			}
 		}
@@ -1704,7 +1704,7 @@
 		return;
 	}
 
-	if (ifp->if_flags & IFF_RUNNING)
+	if (ifp->if_drv_flags & IFF_DRV_RUNNING)
 		owi_stop(sc);
 
 	wi_reset(sc);
@@ -1792,8 +1792,8 @@
 	/* enable interrupts */
 	CSR_WRITE_2(sc, WI_INT_EN, WI_INTRS);
 
-	ifp->if_flags |= IFF_RUNNING;
-	ifp->if_flags &= ~IFF_OACTIVE;
+	ifp->if_drv_flags |= IFF_DRV_RUNNING;
+	ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 
 	sc->wi_stat_ch = timeout(wi_inquire, sc, hz * 60);
 	WI_UNLOCK(sc, s);
@@ -1820,7 +1820,7 @@
 		return;
 	}
 
-	if (ifp->if_flags & IFF_OACTIVE) {
+	if (ifp->if_drv_flags & IFF_DRV_OACTIVE) {
 		WI_UNLOCK(sc, s);
 		return;
 	}
@@ -1888,7 +1888,7 @@
 	if (wi_cmd(sc, WI_CMD_TX|WI_RECLAIM, id, 0, 0))
 		device_printf(sc->dev, "xmit failed\n");
 
-	ifp->if_flags |= IFF_OACTIVE;
+	ifp->if_drv_flags |= IFF_DRV_OACTIVE;
 
 	/*
 	 * Set a timeout in case the chip goes out to lunch.
@@ -1927,7 +1927,7 @@
 		wi_cmd(sc, WI_CMD_DISABLE|sc->wi_portnum, 0, 0, 0);
 	}
 
-	ifp->if_flags &= ~(IFF_RUNNING|IFF_OACTIVE);
+	ifp->if_drv_flags &= ~(IFF_DRV_RUNNING|IFF_DRV_OACTIVE);
 
 	WI_UNLOCK(sc, s);
 	return;
--- //depot/vendor/freebsd/src/sys/dev/patm/if_patm.c	2005/06/10 16:51:34
+++ //depot/projects/netsmp/src/sys/dev/patm/if_patm.c	2005/08/05 14:11:40
@@ -204,7 +204,7 @@
 	patm_debug(sc, ATTACH, "go...");
 
 	sc->utopia.flags &= ~UTP_FL_POLL_CARRIER;
-	sc->ifp->if_flags |= IFF_RUNNING;
+	sc->ifp->if_drv_flags |= IFF_DRV_RUNNING;
 
 	/* enable interrupts, Tx and Rx paths */
 	cfg |= IDT_CFG_RXPTH | IDT_CFG_RXIIMM | IDT_CFG_RAWIE | IDT_CFG_RQFIE |
@@ -245,7 +245,7 @@
 	struct patm_txmap *map;
 	struct patm_scd *scd;
 
-	sc->ifp->if_flags &= ~IFF_RUNNING;
+	sc->ifp->if_drv_flags &= ~IFF_DRV_RUNNING;
 	sc->utopia.flags |= UTP_FL_POLL_CARRIER;
 
 	patm_reset(sc);
@@ -265,7 +265,7 @@
 
 	/*
 	 * Give any waiters on closing a VCC a chance. They will stop
-	 * to wait if they see that IFF_RUNNING disappeared.
+	 * to wait if they see that IFF_DRV_RUNNING disappeared.
 	 */
 	cv_broadcast(&sc->vcc_cv);
 
--- //depot/vendor/freebsd/src/sys/dev/patm/if_patm_intr.c	2005/06/10 16:51:34
+++ //depot/projects/netsmp/src/sys/dev/patm/if_patm_intr.c	2005/08/05 14:11:40
@@ -119,7 +119,7 @@
 	stat = patm_nor_read(sc, IDT_NOR_STAT);
 	patm_nor_write(sc, IDT_NOR_STAT, stat & (ints | fbqa));
 
-	if (!(sc->ifp->if_flags & IFF_RUNNING)) {
+	if (!(sc->ifp->if_drv_flags & IFF_DRV_RUNNING)) {
 		/* if we are stopped ack all interrupts and handle PHYI */
 		if (stat & IDT_STAT_PHYI) {
 			patm_debug(sc, INTR, "PHYI (stopped)");
--- //depot/vendor/freebsd/src/sys/dev/patm/if_patm_ioctl.c	2005/06/10 16:51:34
+++ //depot/projects/netsmp/src/sys/dev/patm/if_patm_ioctl.c	2005/08/05 14:11:40
@@ -107,7 +107,7 @@
 		return (ENOMEM);
 
 	mtx_lock(&sc->mtx);
-	if (!(sc->ifp->if_flags & IFF_RUNNING)) {
+	if (!(sc->ifp->if_drv_flags & IFF_DRV_RUNNING)) {
 		/* stopped while we have analyzed the arguments */
 		error = EIO;
 		goto done;
@@ -224,7 +224,7 @@
 	cid = PATM_CID(sc, arg->vpi, arg->vci);
 
 	mtx_lock(&sc->mtx);
-	if (!(sc->ifp->if_flags & IFF_RUNNING)) {
+	if (!(sc->ifp->if_drv_flags & IFF_DRV_RUNNING)) {
 		/* stopped while we have analyzed the arguments */
 		error = EIO;
 		goto done;
@@ -246,7 +246,7 @@
 
 	while (vcc->vflags & (PATM_VCC_TX_CLOSING | PATM_VCC_RX_CLOSING)) {
 		cv_wait(&sc->vcc_cv, &sc->mtx);
-		if (!(sc->ifp->if_flags & IFF_RUNNING)) {
+		if (!(sc->ifp->if_drv_flags & IFF_DRV_RUNNING)) {
 			/* ups, has been stopped */
 			error = EIO;
 			goto done;
@@ -299,7 +299,7 @@
 	  case SIOCSIFADDR:
 		mtx_lock(&sc->mtx);
 		ifp->if_flags |= IFF_UP;
-		if (!(ifp->if_flags & IFF_RUNNING))
+		if (!(ifp->if_drv_flags & IFF_DRV_RUNNING))
 			patm_initialize(sc);
 		switch (ifa->ifa_addr->sa_family) {
 
@@ -318,11 +318,11 @@
 	  case SIOCSIFFLAGS:
 		mtx_lock(&sc->mtx);
 		if (ifp->if_flags & IFF_UP) {
-			if (!(ifp->if_flags & IFF_RUNNING)) {
+			if (!(ifp->if_drv_flags & IFF_DRV_RUNNING)) {
 				patm_initialize(sc);
 			}
 		} else {
-			if (ifp->if_flags & IFF_RUNNING) {
+			if (ifp->if_drv_flags & IFF_DRV_RUNNING) {
 				patm_stop(sc);
 			}
 		}
@@ -339,7 +339,7 @@
 		 * null cells of it gets the timing wrong.
 		 */
 		mtx_lock(&sc->mtx);
-		if (ifp->if_flags & IFF_RUNNING) {
+		if (ifp->if_drv_flags & IFF_DRV_RUNNING) {
 			if (sc->utopia.state & UTP_ST_UNASS) {
 				if (!(sc->flags & PATM_UNASS)) {
 					cfg = patm_nor_read(sc, IDT_NOR_CFG);
--- //depot/vendor/freebsd/src/sys/dev/patm/if_patm_tx.c	2005/07/01 10:45:26
+++ //depot/projects/netsmp/src/sys/dev/patm/if_patm_tx.c	2005/08/05 14:11:40
@@ -289,7 +289,7 @@
 	struct patm_vcc *vcc;
 
 	mtx_lock(&sc->mtx);
-	if (!(ifp->if_flags & IFF_RUNNING)) {
+	if (!(ifp->if_drv_flags & IFF_DRV_RUNNING)) {
 		mtx_unlock(&sc->mtx);
 		return;
 	}
--- //depot/vendor/freebsd/src/sys/dev/pdq/pdq_ifsubr.c	2005/08/03 00:20:47
+++ //depot/projects/netsmp/src/sys/dev/pdq/pdq_ifsubr.c	2005/08/05 14:11:40
@@ -74,7 +74,7 @@
     pdq_softc_t *sc)
 {
     if (PDQ_IFNET(sc)->if_flags & IFF_UP) {
-	PDQ_IFNET(sc)->if_flags |= IFF_RUNNING;
+	PDQ_IFNET(sc)->if_drv_flags |= IFF_DRV_RUNNING;
 	if (PDQ_IFNET(sc)->if_flags & IFF_PROMISC) {
 	    sc->sc_pdq->pdq_flags |= PDQ_PROMISC;
 	} else {
@@ -88,7 +88,7 @@
 	sc->sc_pdq->pdq_flags |= PDQ_RUNNING;
 	pdq_run(sc->sc_pdq);
     } else {
-	PDQ_IFNET(sc)->if_flags &= ~IFF_RUNNING;
+	PDQ_IFNET(sc)->if_drv_flags &= ~IFF_DRV_RUNNING;
 	sc->sc_pdq->pdq_flags &= ~PDQ_RUNNING;
 	pdq_stop(sc->sc_pdq);
     }
@@ -103,7 +103,7 @@
      * seconds.  Remove all queued packets.
      */
 
-    ifp->if_flags &= ~IFF_OACTIVE;
+    ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
     ifp->if_timer = 0;
     for (;;) {
 	struct mbuf *m;
@@ -122,14 +122,14 @@
     struct mbuf *m;
     int tx = 0;
 
-    if ((ifp->if_flags & IFF_RUNNING) == 0)
+    if ((ifp->if_drv_flags & IFF_DRV_RUNNING) == 0)
 	return;
 
     if (PDQ_IFNET(sc)->if_timer == 0)
 	PDQ_IFNET(sc)->if_timer = PDQ_OS_TX_TIMEOUT;
 
     if ((sc->sc_pdq->pdq_flags & PDQ_TXOK) == 0) {
-	PDQ_IFNET(sc)->if_flags |= IFF_OACTIVE;
+	PDQ_IFNET(sc)->if_drv_flags |= IFF_DRV_OACTIVE;
 	return;
     }
     sc->sc_flags |= PDQIF_DOWNCALL;
@@ -170,7 +170,7 @@
 	    break;
     }
     if (m != NULL) {
-	ifp->if_flags |= IFF_OACTIVE;
+	ifp->if_drv_flags |= IFF_DRV_OACTIVE;
 	IF_PREPEND(&ifp->if_snd, m);
     }
     if (tx)
@@ -226,7 +226,7 @@
     pdq_t *pdq)
 {
     pdq_softc_t *sc = pdq->pdq_os_ctx;
-    PDQ_IFNET(sc)->if_flags &= ~IFF_OACTIVE;
+    PDQ_IFNET(sc)->if_drv_flags &= ~IFF_DRV_OACTIVE;
     if (IFQ_IS_EMPTY(&PDQ_IFNET(sc)->if_snd) == 0) {
 	PDQ_IFNET(sc)->if_timer = PDQ_OS_TX_TIMEOUT;
 	if ((sc->sc_flags & PDQIF_DOWNCALL) == 0)
@@ -379,7 +379,7 @@
 
 	case SIOCADDMULTI:
 	case SIOCDELMULTI: {
-	    if (PDQ_IFNET(sc)->if_flags & IFF_RUNNING) {
+	    if (PDQ_IFNET(sc)->if_drv_flags & IFF_DRV_RUNNING) {
 		    pdq_run(sc->sc_pdq);
 		error = 0;
 	    }
--- //depot/vendor/freebsd/src/sys/dev/ppbus/if_plip.c	2005/06/10 16:51:34
+++ //depot/projects/netsmp/src/sys/dev/ppbus/if_plip.c	2005/08/05 14:11:40
@@ -321,16 +321,18 @@
 	ifp->if_flags |= IFF_UP;
 	/* FALLTHROUGH */
     case SIOCSIFFLAGS:
-	if ((!(ifp->if_flags & IFF_UP)) && (ifp->if_flags & IFF_RUNNING)) {
+	if ((!(ifp->if_flags & IFF_UP)) &&
+	  (ifp->if_drv_flags & IFF_DRV_RUNNING)) {
 
 	    ppb_wctr(ppbus, 0x00);
-	    ifp->if_flags &= ~IFF_RUNNING;
+	    ifp->if_drv_flags &= ~IFF_DRV_RUNNING;
 
 	    /* IFF_UP is not set, try to release the bus anyway */
 	    ppb_release_bus(ppbus, dev);
 	    break;
 	}
-	if (((ifp->if_flags & IFF_UP)) && (!(ifp->if_flags & IFF_RUNNING))) {
+	if (((ifp->if_flags & IFF_UP)) &&
+	  (!(ifp->if_drv_flags & IFF_DRV_RUNNING))) {
 
 	    /* XXX
 	     * Should the request be interruptible?
@@ -362,7 +364,7 @@
 	    }
 
 	    ppb_wctr(ppbus, IRQENABLE);
-	    ifp->if_flags |= IFF_RUNNING;
+	    ifp->if_drv_flags |= IFF_DRV_RUNNING;
 	}
 	break;
 
@@ -577,7 +579,7 @@
 	if (sc->sc_iferrs > LPMAXERRS) {
 	    printf("lp%d: Too many errors, Going off-line.\n", device_get_unit(dev));
 	    ppb_wctr(ppbus, 0x00);
-	    sc->sc_ifp->if_flags &= ~IFF_RUNNING;
+	    sc->sc_ifp->if_drv_flags &= ~IFF_DRV_RUNNING;
 	    sc->sc_iferrs=0;
 	}
 
@@ -615,7 +617,7 @@
 
     /* We need a sensible value if we abort */
     cp++;
-    ifp->if_flags |= IFF_RUNNING;
+    ifp->if_drv_flags |= IFF_DRV_RUNNING;
 
     err = 1;			/* assume we're aborting because of an error */
 
--- //depot/vendor/freebsd/src/sys/dev/ral/if_ral.c	2005/07/22 16:50:36
+++ //depot/projects/netsmp/src/sys/dev/ral/if_ral.c	2005/08/05 14:11:40
@@ -915,7 +915,8 @@
 	if (error != ENETRESET)
 		return error;
 
-	if ((ifp->if_flags & (IFF_UP | IFF_RUNNING)) == (IFF_UP | IFF_RUNNING))
+	if ((ifp->if_flags & IFF_UP) &&
+	    (ifp->if_drv_flags & IFF_DRV_RUNNING))
 		ral_init(sc);
 
 	return 0;
@@ -1220,7 +1221,7 @@
 	    BUS_DMASYNC_PREWRITE);
 
 	sc->sc_tx_timer = 0;
-	ifp->if_flags &= ~IFF_OACTIVE;
+	ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 	ral_start(ifp);
 }
 
@@ -1286,7 +1287,7 @@
 	    BUS_DMASYNC_PREWRITE);
 
 	sc->sc_tx_timer = 0;
-	ifp->if_flags &= ~IFF_OACTIVE;
+	ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 	ral_start(ifp);
 }
 
@@ -2058,7 +2059,7 @@
 		IF_POLL(&ic->ic_mgtq, m0);
 		if (m0 != NULL) {
 			if (sc->prioq.queued >= RAL_PRIO_RING_COUNT) {
-				ifp->if_flags |= IFF_OACTIVE;
+				ifp->if_drv_flags |= IFF_DRV_OACTIVE;
 				break;
 			}
 			IF_DEQUEUE(&ic->ic_mgtq, m0);
@@ -2080,7 +2081,7 @@
 				break;
 			if (sc->txq.queued >= RAL_TX_RING_COUNT - 1) {
 				IFQ_DRV_PREPEND(&ifp->if_snd, m0);
-				ifp->if_flags |= IFF_OACTIVE;
+				ifp->if_drv_flags |= IFF_DRV_OACTIVE;
 				break;
 			}
 
@@ -2176,12 +2177,12 @@
 	switch (cmd) {
 	case SIOCSIFFLAGS:
 		if (ifp->if_flags & IFF_UP) {
-			if (ifp->if_flags & IFF_RUNNING)
+			if (ifp->if_drv_flags & IFF_DRV_RUNNING)
 				ral_update_promisc(sc);
 			else
 				ral_init(sc);
 		} else {
-			if (ifp->if_flags & IFF_RUNNING)
+			if (ifp->if_drv_flags & IFF_DRV_RUNNING)
 				ral_stop(sc);
 		}
 		break;
@@ -2191,8 +2192,8 @@
 	}
 
 	if (error == ENETRESET) {
-		if ((ifp->if_flags & (IFF_UP | IFF_RUNNING)) ==
-		    (IFF_UP | IFF_RUNNING))
+		if ((ifp->if_flags & IFF_UP) &&
+		    (ifp->if_drv_flags & IFF_DRV_RUNNING))
 			ral_init(sc);
 		error = 0;
 	}
@@ -2761,8 +2762,8 @@
 	/* enable interrupts */
 	RAL_WRITE(sc, RAL_CSR8, RAL_INTR_MASK);
 
-	ifp->if_flags &= ~IFF_OACTIVE;
-	ifp->if_flags |= IFF_RUNNING;
+	ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
+	ifp->if_drv_flags |= IFF_DRV_RUNNING;
 
 	if (ic->ic_opmode == IEEE80211_M_MONITOR)
 		ieee80211_new_state(ic, IEEE80211_S_RUN, -1);
@@ -2782,7 +2783,7 @@
 
 	sc->sc_tx_timer = 0;
 	ifp->if_timer = 0;
-	ifp->if_flags &= ~(IFF_RUNNING | IFF_OACTIVE);
+	ifp->if_drv_flags &= ~(IFF_DRV_RUNNING | IFF_DRV_OACTIVE);
 
 	/* abort Tx */
 	RAL_WRITE(sc, RAL_TXCSR0, RAL_ABORT_TX);
--- //depot/vendor/freebsd/src/sys/dev/ral/if_ral_pci.c	2005/04/18 18:50:49
+++ //depot/projects/netsmp/src/sys/dev/ral/if_ral_pci.c	2005/08/05 14:11:40
@@ -160,7 +160,7 @@
 
 	if (ifp->if_flags & IFF_UP) {
 		ifp->if_init(ifp->if_softc);
-		if (ifp->if_flags & IFF_RUNNING)
+		if (ifp->if_drv_flags & IFF_DRV_RUNNING)
 			ifp->if_start(ifp);
 	}
 
--- //depot/vendor/freebsd/src/sys/dev/ray/if_ray.c	2005/08/03 00:20:47
+++ //depot/projects/netsmp/src/sys/dev/ray/if_ray.c	2005/08/05 14:11:40
@@ -602,7 +602,7 @@
 	 */
 	sc->sc_gone = 1;
 	sc->sc_c.np_havenet = 0;
-	ifp->if_flags &= ~(IFF_RUNNING | IFF_OACTIVE);
+	ifp->if_drv_flags &= ~(IFF_DRV_RUNNING | IFF_DRV_OACTIVE);
 	ether_ifdetach(ifp);
 	if_free(ifp);
 
@@ -769,7 +769,7 @@
  * Returns values are either 0 for success, a varity of resource allocation
  * failures or errors in the command sent to the card.
  *
- * Note, IFF_RUNNING is eventually set by init_sj_done or init_assoc_done
+ * Note, IFF_DRV_RUNNING is eventually set by init_sj_done or init_assoc_done
  */
 static int
 ray_init_user(struct ray_softc *sc)
@@ -792,7 +792,7 @@
 	 * We may enter this routine from a simple change of IP
 	 * address and do not need to get the card to do these things.
 	 * However, we cannot perform the check here as there may be
-	 * commands in the runq that change the IFF_RUNNING state of
+	 * commands in the runq that change the IFF_DRV_RUNNING state of
 	 * the interface.
 	 */
 	ncom = 0;
@@ -1156,15 +1156,15 @@
 	/*
 	 * Hurrah! The network is now active.
 	 *
-	 * Clearing IFF_OACTIVE will ensure that the system will send us
+	 * Clearing IFF_DRV_OACTIVE will ensure that the system will send us
 	 * packets. Just before we return from the interrupt context
 	 * we check to see if packets have been queued.
 	 */
 	if (SRAM_READ_FIELD_1(sc, ccs, ray_cmd, c_cmd) == RAY_CMD_START_NET) {
 		sc->sc_c.np_havenet = 1;
 		sc->sc_c.np_framing = sc->sc_d.np_framing;
-		ifp->if_flags |= IFF_RUNNING;
-		ifp->if_flags &= ~IFF_OACTIVE;
+		ifp->if_drv_flags |= IFF_DRV_RUNNING;
+		ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 	}
 
 	ray_com_ecf_done(sc);
@@ -1313,14 +1313,14 @@
 	/*
 	 * Hurrah! The network is now active.
 	 *
-	 * Clearing IFF_OACTIVE will ensure that the system will send us
+	 * Clearing IFF_DRV_OACTIVE will ensure that the system will send us
 	 * packets. Just before we return from the interrupt context
 	 * we check to see if packets have been queued.
 	 */
 	sc->sc_c.np_havenet = 1;
 	sc->sc_c.np_framing = sc->sc_d.np_framing;
-	ifp->if_flags |= IFF_RUNNING;
-	ifp->if_flags &= ~IFF_OACTIVE;
+	ifp->if_drv_flags |= IFF_DRV_RUNNING;
+	ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 
 	ray_com_ecf_done(sc);
 }
@@ -1371,7 +1371,7 @@
 	/*
 	 * Mark as not running and drain output queue
 	 */
-	ifp->if_flags &= ~(IFF_RUNNING | IFF_OACTIVE);
+	ifp->if_drv_flags &= ~(IFF_DRV_RUNNING | IFF_DRV_OACTIVE);
 	ifp->if_timer = 0;
 	for (;;) {
 		IF_DEQUEUE(&ifp->if_snd, m);
@@ -1408,7 +1408,7 @@
  *  1) That the current priority is set to splimp _before_ this code
  *     is called *and* is returned to the appropriate priority after
  *     return
- *  2) That the IFF_OACTIVE flag is checked before this code is called
+ *  2) That the IFF_DRV_OACTIVE flag is checked before this code is called
  *     (i.e. that the output part of the interface is idle)
  *
  * A simple one packet at a time TX routine is used - we don't bother
@@ -1447,7 +1447,7 @@
 	 */
 	if ((sc == NULL) || (sc->sc_gone))
 		return;
-	if (!(ifp->if_flags & IFF_RUNNING)) {
+	if (!(ifp->if_drv_flags & IFF_DRV_RUNNING)) {
 		RAY_RECERR(sc, "cannot transmit - not running");
 		return;
 	}
@@ -1473,7 +1473,7 @@
 	 * errors and the packet wouldn't get through anyway.
 	 */
 	if (ray_ccs_tx(sc, &ccs, &bufp)) {
-		ifp->if_flags |= IFF_OACTIVE;
+		ifp->if_drv_flags |= IFF_DRV_OACTIVE;
 		return;
 	}
     
@@ -1628,7 +1628,7 @@
 
 	RAY_DPRINTF(sc, RAY_DBG_SUBR, "");
 
-	if (!(ifp->if_flags & IFF_OACTIVE) && (ifp->if_snd.ifq_head != NULL)) {
+	if (!(ifp->if_drv_flags & IFF_DRV_OACTIVE) && (ifp->if_snd.ifq_head != NULL)) {
 		s = splimp();
 		ray_tx(ifp);
 		splx(s);
@@ -1746,8 +1746,8 @@
 
 	RAY_CCS_FREE(sc, ccs);
 	ifp->if_timer = 0;
-	if (ifp->if_flags & IFF_OACTIVE)
-	    ifp->if_flags &= ~IFF_OACTIVE;
+	if (ifp->if_drv_flags & IFF_DRV_OACTIVE)
+	    ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 }
 
 /*
@@ -2490,7 +2490,7 @@
 	}
 
 	/* Send any packets lying around and update error counters */
-	if (!(ifp->if_flags & IFF_OACTIVE) && (ifp->if_snd.ifq_head != NULL))
+	if (!(ifp->if_drv_flags & IFF_DRV_OACTIVE) && (ifp->if_snd.ifq_head != NULL))
 		ray_tx(ifp);
 	if ((++sc->sc_checkcounters % 32) == 0)
 		ray_intr_updt_errcntrs(sc);
@@ -2694,7 +2694,7 @@
 	/*
 	 * If card is not running we don't need to update this.
 	 */
-	if (!(ifp->if_flags & IFF_RUNNING)) {
+	if (!(ifp->if_drv_flags & IFF_DRV_RUNNING)) {
 		RAY_DPRINTF(sc, RAY_DBG_IOCTL, "not running");
 		ray_com_runq_done(sc);
 		return;
@@ -2770,7 +2770,7 @@
 	 * we don't need to update this
 	 */
 	sc->sc_d.np_promisc = !!(ifp->if_flags & (IFF_PROMISC | IFF_ALLMULTI));
-	if (!(ifp->if_flags & IFF_RUNNING) ||
+	if (!(ifp->if_drv_flags & IFF_DRV_RUNNING) ||
 	    (sc->sc_c.np_promisc == sc->sc_d.np_promisc)) {
 		ray_com_runq_done(sc);
 		return;
@@ -3317,7 +3317,7 @@
 	/* XXX what about error on completion then? deal with when i fix
 	 * XXX the status checking
 	 *
-	 * XXX all the runq_done calls from IFF_RUNNING checks in runq
+	 * XXX all the runq_done calls from IFF_DRV_RUNNING checks in runq
 	 * XXX routines should return EIO but shouldn't abort the runq
 	 */
 }
--- //depot/vendor/freebsd/src/sys/dev/ray/if_rayvar.h	2005/06/10 16:51:34
+++ //depot/projects/netsmp/src/sys/dev/ray/if_rayvar.h	2005/08/05 14:11:40
@@ -191,7 +191,7 @@
 #define RAY_COM_FRUNNING	0x0002		/* This one running	*/
 #define RAY_COM_FCOMPLETED	0x0004		/* This one completed	*/
 #define RAY_COM_FWAIT		0x0008		/* Do not run the queue */
-#define RAY_COM_FCHKRUNNING	0x0010		/* Check IFF_RUNNING	*/
+#define RAY_COM_FCHKRUNNING	0x0010		/* Check IFF_DRV_RUNNING*/
 #define RAY_COM_FDETACHED	0x0020		/* Card is gone		*/
 #define RAY_COM_FWOKEN		0x0040		/* Woken by detach	*/
 #define RAY_COM_FLAGS_PRINTFB	\
@@ -272,13 +272,13 @@
  * of a change to the cards operating parameters (e.g. BSSID change), and
  * b) those that happen as a result of a change to the interface parameters
  * (e.g. a change to the IP address). The second set of entries need not
- * send a command to the card when the card is IFF_RUNNING. The
+ * send a command to the card when the card is IFF_DRV_RUNNING. The
  * RAY_COM_FCHKRUNNING flags indicates when the RUNNING flag should be
  * checked, and this macro does the necessary check and command abort.
  */
 #define RAY_COM_CHKRUNNING(sc, com, ifp) do {				\
     if (((com)->c_flags & RAY_COM_FCHKRUNNING) &&			\
-	((ifp)->if_flags & IFF_RUNNING)) {				\
+	((ifp)->if_drv_flags & IFF_DRV_RUNNING)) {			\
 	    ray_com_runq_done(sc);					\
 	    return;							\
 } } while (0)
--- //depot/vendor/freebsd/src/sys/dev/re/if_re.c	2005/08/05 08:22:34
+++ //depot/projects/netsmp/src/sys/dev/re/if_re.c	2005/08/05 14:21:31
@@ -1731,7 +1731,7 @@
 
 	if (idx != sc->rl_ldata.rl_tx_considx) {
 		sc->rl_ldata.rl_tx_considx = idx;
-		ifp->if_flags &= ~IFF_OACTIVE;
+		ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 		ifp->if_timer = 0;
 	}
 
@@ -2039,7 +2039,7 @@
 
 		if (re_encap(sc, &m_head, &idx)) {
 			IFQ_DRV_PREPEND(&ifp->if_snd, m_head);
-			ifp->if_flags |= IFF_OACTIVE;
+			ifp->if_drv_flags |= IFF_DRV_OACTIVE;
 			break;
 		}
 
@@ -2257,8 +2257,8 @@
 
 	CSR_WRITE_1(sc, RL_CFG1, RL_CFG1_DRVLOAD|RL_CFG1_FULLDUPLEX);
 
-	ifp->if_flags |= IFF_RUNNING;
-	ifp->if_flags &= ~IFF_OACTIVE;
+	ifp->if_drv_flags |= IFF_DRV_RUNNING;
+	ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 
 	sc->rl_stat_ch = timeout(re_tick, sc, hz);
 }
@@ -2320,7 +2320,7 @@
 		RL_LOCK(sc);
 		if (ifp->if_flags & IFF_UP)
 			re_init_locked(sc);
-		else if (ifp->if_flags & IFF_RUNNING)
+		else if (ifp->if_drv_flags & IFF_DRV_RUNNING)
 			re_stop(sc);
 		RL_UNLOCK(sc);
 		error = 0;
@@ -2345,7 +2345,7 @@
 			ifp->if_hwassist = RE_CSUM_FEATURES;
 		else
 			ifp->if_hwassist = 0;
-		if (ifp->if_flags & IFF_RUNNING)
+		if (ifp->if_drv_flags & IFF_DRV_RUNNING)
 			re_init(sc);
 		break;
 	default:
@@ -2391,7 +2391,7 @@
 	ifp->if_timer = 0;
 
 	untimeout(re_tick, sc, sc->rl_stat_ch);
-	ifp->if_flags &= ~(IFF_RUNNING | IFF_OACTIVE);
+	ifp->if_drv_flags &= ~(IFF_DRV_RUNNING | IFF_DRV_OACTIVE);
 #ifdef DEVICE_POLLING
 	ether_poll_deregister(ifp);
 #endif /* DEVICE_POLLING */
--- //depot/vendor/freebsd/src/sys/dev/sbni/if_sbni.c	2005/06/10 16:51:34
+++ //depot/projects/netsmp/src/sys/dev/sbni/if_sbni.c	2005/08/05 14:11:40
@@ -271,7 +271,7 @@
 	 * kludge to avoid multiple initialization when more than once
 	 * protocols configured
 	 */
-	if (ifp->if_flags & IFF_RUNNING)
+	if (ifp->if_drv_flags & IFF_DRV_RUNNING)
 		return;
 
 	s = splimp();
@@ -279,8 +279,8 @@
 	card_start(sc);
 	sc->wch = timeout(sbni_timeout, sc, hz/SBNI_HZ);
 
-	ifp->if_flags |= IFF_RUNNING;
-	ifp->if_flags &= ~IFF_OACTIVE;
+	ifp->if_drv_flags |= IFF_DRV_RUNNING;
+	ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 
 	/* attempt to start output */
 	sbni_start(ifp);
@@ -669,7 +669,7 @@
 			sc->pktlen     = 0;
 			sc->tx_frameno = 0;
 			sc->framelen   = 0;
-			sc->ifp->if_flags &= ~IFF_OACTIVE;
+			sc->ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 			return;
 		}
 
@@ -689,7 +689,7 @@
 	sc->framelen	= min(len, sc->maxframe);
 
 	sbni_outb(sc, CSR0, sbni_inb(sc, CSR0) | TR_REQ);
-	sc->ifp->if_flags |= IFF_OACTIVE;
+	sc->ifp->if_drv_flags |= IFF_DRV_OACTIVE;
 	BPF_MTAP(sc->ifp, sc->tx_buf_p);
 }
 
@@ -717,7 +717,7 @@
 	sc->framelen	= 0;
 	sc->outpos	= 0;
 	sc->state &= ~(FL_WAIT_ACK | FL_NEED_RESEND);
-	sc->ifp->if_flags &= ~IFF_OACTIVE;
+	sc->ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 }
 
 
@@ -1062,12 +1062,12 @@
 		 * If it is marked down and running, then stop it.
 		 */
 		if (ifp->if_flags & IFF_UP) {
-			if (!(ifp->if_flags & IFF_RUNNING))
+			if (!(ifp->if_drv_flags & IFF_DRV_RUNNING))
 				sbni_init(sc);
 		} else {
-			if (ifp->if_flags & IFF_RUNNING) {
+			if (ifp->if_drv_flags & IFF_DRV_RUNNING) {
 				sbni_stop(sc);
-				ifp->if_flags &= ~IFF_RUNNING;
+				ifp->if_drv_flags &= ~IFF_DRV_RUNNING;
 			}
 		}
 		break;
--- //depot/vendor/freebsd/src/sys/dev/sbsh/if_sbsh.c	2005/07/18 18:20:46
+++ //depot/projects/netsmp/src/sys/dev/sbsh/if_sbsh.c	2005/08/05 14:11:40
@@ -345,7 +345,7 @@
 	int			s;
 	u_int8_t		t;
 
-	if ((ifp->if_flags & IFF_RUNNING) || sc->state == NOT_LOADED)
+	if ((ifp->if_drv_flags & IFF_DRV_RUNNING) || sc->state == NOT_LOADED)
 		return;
 
 	s = splimp();
@@ -360,8 +360,8 @@
 	if (issue_cx28975_cmd(sc, _DSL_ACTIVATION, &t, 1) == 0) {
 		sc->state = ACTIVATION;
 
-		ifp->if_flags |= IFF_RUNNING;
-		ifp->if_flags &= ~IFF_OACTIVE;
+		ifp->if_drv_flags |= IFF_DRV_RUNNING;
+		ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 	}
 
 	splx(s);
@@ -488,7 +488,7 @@
 
 	case SIOCSIFFLAGS:
 		if (ifp->if_flags & IFF_UP) {
-			if (!(ifp->if_flags & IFF_RUNNING)) {
+			if (!(ifp->if_drv_flags & IFF_DRV_RUNNING)) {
 				if (sc->state == NOT_LOADED) {
 					if_printf(ifp, "firmware wasn't loaded\n");
 					error = EBUSY;
@@ -496,9 +496,9 @@
 					sbsh_init(sc);
 			}
 		} else {
-			if (ifp->if_flags & IFF_RUNNING) {
+			if (ifp->if_drv_flags & IFF_DRV_RUNNING) {
 				sbsh_stop(sc);
-				ifp->if_flags &= ~IFF_RUNNING;
+				ifp->if_drv_flags &= ~IFF_DRV_RUNNING;
 			}
 		}
 		break;
@@ -658,9 +658,9 @@
 	}
 
 	if (sc->regs->CTDR != sc->regs->LTDR)
-		ifp->if_flags |= IFF_OACTIVE;
+		ifp->if_drv_flags |= IFF_DRV_OACTIVE;
 	else
-		ifp->if_flags &= ~IFF_OACTIVE;
+		ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 }
 
 
--- //depot/vendor/freebsd/src/sys/dev/sn/if_sn.c	2005/08/03 00:20:47
+++ //depot/projects/netsmp/src/sys/dev/sn/if_sn.c	2005/08/05 14:11:40
@@ -231,7 +231,7 @@
 	struct ifnet	*ifp = sc->ifp;
 
 	snstop(sc);
-	ifp->if_flags &= ~IFF_RUNNING; 
+	ifp->if_drv_flags &= ~IFF_DRV_RUNNING; 
 	ether_ifdetach(ifp);
 	if_free(ifp);
 	sn_deactivate(dev);
@@ -337,8 +337,8 @@
 	/*
 	 * Mark the interface running but not active.
 	 */
-	ifp->if_flags |= IFF_RUNNING;
-	ifp->if_flags &= ~IFF_OACTIVE;
+	ifp->if_drv_flags |= IFF_DRV_RUNNING;
+	ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 
 	/*
 	 * Attempt to push out any waiting packets.
@@ -373,7 +373,7 @@
 
 	SN_ASSERT_LOCKED(sc);
 
-	if (sc->ifp->if_flags & IFF_OACTIVE)
+	if (sc->ifp->if_drv_flags & IFF_DRV_OACTIVE)
 		return;
 	if (sc->pages_wanted != -1) {
 		if_printf(ifp, "snstart() while memory allocation pending\n");
@@ -461,7 +461,7 @@
 		sc->intr_mask = mask;
 
 		sc->ifp->if_timer = 1;
-		sc->ifp->if_flags |= IFF_OACTIVE;
+		sc->ifp->if_drv_flags |= IFF_DRV_OACTIVE;
 		sc->pages_wanted = numPages;
 		return;
 	}
@@ -544,7 +544,7 @@
 
 	CSR_WRITE_2(sc, MMU_CMD_REG_W, MMUCR_ENQUEUE);
 
-	sc->ifp->if_flags |= IFF_OACTIVE;
+	sc->ifp->if_drv_flags |= IFF_DRV_OACTIVE;
 	sc->ifp->if_timer = 1;
 
 	BPF_MTAP(ifp, top);
@@ -751,14 +751,14 @@
 	/*
 	 * Now pass control to snstart() to queue any additional packets
 	 */
-	sc->ifp->if_flags &= ~IFF_OACTIVE;
+	sc->ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 	snstart(ifp);
 
 	/*
 	 * We've sent something, so we're active.  Set a watchdog in case the
 	 * TX_EMPTY interrupt is lost.
 	 */
-	sc->ifp->if_flags |= IFF_OACTIVE;
+	sc->ifp->if_drv_flags |= IFF_DRV_OACTIVE;
 	sc->ifp->if_timer = 1;
 
 	return;
@@ -845,7 +845,7 @@
 		 * Disable this interrupt.
 		 */
 		mask &= ~IM_ALLOC_INT;
-		sc->ifp->if_flags &= ~IFF_OACTIVE;
+		sc->ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 		snresume(sc->ifp);
 	}
 	/*
@@ -912,7 +912,7 @@
 		/*
 		 * Attempt to queue more transmits.
 		 */
-		sc->ifp->if_flags &= ~IFF_OACTIVE;
+		sc->ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 		snstart_locked(sc->ifp);
 	}
 	/*
@@ -950,7 +950,7 @@
 		/*
 		 * Attempt to enqueue some more stuff.
 		 */
-		sc->ifp->if_flags &= ~IFF_OACTIVE;
+		sc->ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 		snstart_locked(sc->ifp);
 	}
 	/*
@@ -1131,8 +1131,9 @@
 	switch (cmd) {
 	case SIOCSIFFLAGS:
 		SN_LOCK(sc);
-		if ((ifp->if_flags & IFF_UP) == 0 && ifp->if_flags & IFF_RUNNING) {
-			ifp->if_flags &= ~IFF_RUNNING;
+		if ((ifp->if_flags & IFF_UP) == 0 &&
+		    ifp->if_drv_flags & IFF_DRV_RUNNING) {
+			ifp->if_drv_flags &= ~IFF_DRV_RUNNING;
 			snstop(sc);
 		} else {
 			/* reinitialize card on any parameter change */
--- //depot/vendor/freebsd/src/sys/dev/snc/dp83932.c	2005/08/03 00:20:47
+++ //depot/projects/netsmp/src/sys/dev/snc/dp83932.c	2005/08/05 14:11:40
@@ -266,16 +266,16 @@
 
 	case SIOCSIFFLAGS:
 		if ((ifp->if_flags & IFF_UP) == 0 &&
-		    (ifp->if_flags & IFF_RUNNING) != 0) {
+		    (ifp->if_drv_flags & IFF_DRV_RUNNING) != 0) {
 			/*
 			 * If interface is marked down and it is running,
 			 * then stop it.
 			 */
 			sncstop(sc);
-			ifp->if_flags &= ~IFF_RUNNING;
+			ifp->if_drv_flags &= ~IFF_DRV_RUNNING;
 			snc_disable(sc);
 		} else if ((ifp->if_flags & IFF_UP) != 0 &&
-		    (ifp->if_flags & IFF_RUNNING) == 0) {
+		    (ifp->if_drv_flags & IFF_DRV_RUNNING) == 0) {
 			/*
 			 * If interface is marked up and it is stopped,
 			 * then start it.
@@ -330,7 +330,8 @@
 	struct mbuf	*m;
 	int		mtd_next;
 
-	if ((ifp->if_flags & (IFF_RUNNING | IFF_OACTIVE)) != IFF_RUNNING)
+	if ((ifp->if_drv_flags & (IFF_DRV_RUNNING | IFF_DRV_OACTIVE)) !=
+	    IFF_DRV_RUNNING)
 		return;
 
 outloop:
@@ -339,7 +340,7 @@
 		mtd_next = 0;
 
 	if (mtd_next == sc->mtd_hw) {
-		ifp->if_flags |= IFF_OACTIVE;
+		ifp->if_drv_flags |= IFF_DRV_OACTIVE;
 		return;
 	}
 
@@ -399,7 +400,7 @@
 	u_long	s_rcr;
 	int	s;
 
-	if (sc->sc_ifp->if_flags & IFF_RUNNING)
+	if (sc->sc_ifp->if_drv_flags & IFF_DRV_RUNNING)
 		/* already running */
 		return;
 
@@ -451,8 +452,8 @@
 	wbflush();
 
 	/* flag interface as "running" */
-	sc->sc_ifp->if_flags |= IFF_RUNNING;
-	sc->sc_ifp->if_flags &= ~IFF_OACTIVE;
+	sc->sc_ifp->if_drv_flags |= IFF_DRV_RUNNING;
+	sc->sc_ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 
 	splx(s);
 	return;
@@ -485,7 +486,8 @@
 	}
 
 	sc->sc_ifp->if_timer = 0;
-	sc->sc_ifp->if_flags &= ~(IFF_RUNNING | IFF_UP);
+	sc->sc_ifp->if_drv_flags &= ~IFF_DRV_RUNNING;
+	sc->sc_ifp->if_flags &= ~IFF_UP;
 
 	splx(s);
 	return (0);
@@ -939,7 +941,7 @@
 		}
 #endif /* SNCDEBUG */
 
-		ifp->if_flags &= ~IFF_OACTIVE;
+		ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 
 		if (mtd->mtd_mbuf != 0) {
 			m_freem(mtd->mtd_mbuf);
--- //depot/vendor/freebsd/src/sys/dev/snc/if_snc_pccard.c	2005/06/12 16:25:25
+++ //depot/projects/netsmp/src/sys/dev/snc/if_snc_pccard.c	2005/08/05 14:11:40
@@ -95,7 +95,7 @@
 		return (0);
 	}
 	sncshutdown(sc);
-	ifp->if_flags &= ~IFF_RUNNING;
+	ifp->if_drv_flags &= ~IFF_DRV_RUNNING;
 	if_detach(ifp);
 	sc->gone = 1;
 	bus_teardown_intr(dev, sc->irq, sc->irq_handle);
